package urgrip;

import com.ur.urcap.api.contribution.InstallationNodeService;
import com.ur.urcap.api.contribution.installation.swing.SwingInstallationNodeService;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.contribution.toolbar.swing.SwingToolbarService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import urgrip.installation.HelloWorldInstallationNodeService;
import urgrip.programnodes.GripperNodeService;
import urgrip.toolbar.MyToolbarService;

public class Activator implements BundleActivator {

	@Override
	public void start(BundleContext context) throws Exception {
		System.out.println("Gripper Activator says Hello World!");
		context.registerService(SwingToolbarService.class, new MyToolbarService(), null);
		context.registerService(SwingProgramNodeService.class, new GripperNodeService(), null);
		context.registerService(SwingInstallationNodeService.class, new HelloWorldInstallationNodeService(), null);
	}

	@Override
	public void stop(BundleContext bundleContext) throws Exception {
		System.out.println("Activator says Goodbye World!");
	}
}

